{% extends 'base.html'%} {% block content%}
    <main>
        <div>
            <h1>My Projects</h1>
            <div>
                <p><a href="{% url 'create_project' %}">Create a new project</a></p>
            </div>
            {% if project_list%}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in project_list%}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.pk%}">{{project.name}}</a>
                                </td>
                                <td>{{project.tasks.all|length}}</td>
                                <td></td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You are not assigned to any projects</p>
            {% endif%}
        </div>
    </main>
{%endblock content%}
